Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.layout
Class ContainerLayout

    java.lang.Object
      com.gwtext.client.widgets.layout.ContainerLayout

Direct Known Subclasses:
  AnchorLayout, BorderLayout, ColumnLayout, FitLayout, RowLayout, TableLayout

    public abstract class ContainerLayout

extends java.lang.Object

Every layout is composed of one or more Ext.Container elements internally, and ContainerLayout provides the basic foundation for all other layout classes in GWT-Ext. It is a non-visual class that simply provides the base logic required for a Container to function as a layout.

Field Summary
`protected com.google.gwt.core.client.JavaScriptObject` | `configJS`

Constructor Summary
`ContainerLayout()`

Method Summary
`protected com.google.gwt.core.client.JavaScriptObject` | `create(com.google.gwt.core.client.JavaScriptObject config)`
`Component` | `getActiveItem()`
`com.google.gwt.core.client.JavaScriptObject` | `getContainerAttributes()`
`com.google.gwt.core.client.JavaScriptObject` | `getJsObj()`
`java.lang.String` | `getSpacing()`
`void` | `setExtraCls(java.lang.String extraCls)` An optional extra CSS class that will be added to the container (defaults to '').
`void` | `setRenderHidden(boolean renderHidden)` True to hide each contained item on render (defaults to false).
`void` | `setSpacing(java.lang.String spacing)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### configJS

    protected com.google.gwt.core.client.JavaScriptObject configJS

Constructor Detail

### ContainerLayout

    public ContainerLayout()

Method Detail

### getJsObj

    public com.google.gwt.core.client.JavaScriptObject getJsObj()

### create

    protected com.google.gwt.core.client.JavaScriptObject create(com.google.gwt.core.client.JavaScriptObject config)

### getContainerAttributes

    public com.google.gwt.core.client.JavaScriptObject getContainerAttributes()

### setExtraCls

    public void setExtraCls(java.lang.String extraCls)

  An optional extra CSS class that will be added to the container (defaults to ''). This can be useful for adding customized styles to the container or any of its children using standard CSS rules.

  Parameters:
    `extraCls` - an optional extra CSS class that will be added to the container (defaults to '').

### setRenderHidden

    public void setRenderHidden(boolean renderHidden)

  True to hide each contained item on render (defaults to false).

  Parameters:
    `renderHidden` - true to hide each contained item on render (defaults to false).

### getActiveItem

    public Component getActiveItem()

### getSpacing

    public java.lang.String getSpacing()

### setSpacing

    public void setSpacing(java.lang.String spacing)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD